BLKDISCARD(8)

NOM
blkdiscard - Abandonner des secteurs sur un périphérique

SYNOPSIS
blkdiscard [-o position] [-l taille] [-s] [-v] périphérique

DESCRIPTION
blkdiscard est utilisé pour abandonner des secteurs sur un périphérique. C'est pratique pour les pilotes SSD (« solid-state drive ») et l'allocation fine et dynamique (« thinly-provisioned storage »). Contrairement à fstrim(8), cette commande est utilisée directement sur le périphérique bloc.

Par défaut, blkdiscard abandonnera tous les blocs sur le périphérique. Les options permettent de modifier ce comportement en fonction d'intervalle ou de taille, conformément aux explications suivantes.

Le paramètre périphérique est le chemin du périphérique bloc.

Attention : toutes les données de la région abandonnée sur le périphérique seront perdues !

OPTIONS
Les arguments position et taille peuvent être suivis des suffixes multiplicatifs KiB=1024, MiB=1024*1024, etc., pour GiB, TiB, PiB, EiB, ZiB et YiB (la partie « iB » est facultative, par exemple « K » est identique à « KiB ») ou des suffixes KB=1000, MB=1000*1000, etc., pour GB, TB, PB, EB, ZB et YB.

-o, --offset position
    La position en octet dans le périphérique à partir de laquelle abandonner. La valeur fournie sera alignée sur la taille des secteurs du périphérique. La valeur par défaut est zéro.

-l, --length taille
    Le nombre d'octets à abandonner. La valeur fournie sera alignée sur la taille des secteurs du périphérique. Si la valeur indiquée va au-delà de la fin du périphérique, blkdiscard s'arrêtera à la limite de taille du périphérique. La valeur par défaut prolonge la recherche jusqu'à la fin du périphérique.

-l, --length taille
    Le nombre d’octets à abandonner en une opération. Par défaut, tout est abandonné par un appel de l’ioctl.

-s, --secure
    Réaliser un abandon sûr. Un abandon sûr est comme un abandon ordinaire, à part que toutes les copies des blocs abandonnés qui ont été éventuellement créées par le ramasse-miettes seront aussi écrasées. Cela nécessite une prise en charge par le périphérique.

-v, --verbose
    Afficher les valeurs alignées de position et longueur. Si l’option --step est indiqué, la progression d’abandon est affichée toutes les secondes.

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

AUTEUR
Lukas Czerner (lczerner@redhat.com)

VOIR AUSSI
fstrim(8)

DISPONIBILITÉ
La commande blkdiscard fait partie du paquet util-linux, elle est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.